{% extends '../base.html'%} {% block main %} {% load static %}

<div class="main-container position-relative">
  {% include "../components/quick_access.html" %}
  <div class="mailer">
    <h1 class="text-center">Envoyer un e-mail</h1>
    <form id="mails-form" method="POST">
      {% csrf_token %}

      <div>
        <label for="receiver" class="form-label">À</label>
        <div id="counter" class="row">
          <div id="email-row-1" class="mb-3 d-flex justify-content-center align-items-center gap-4">
            <div class="inputs w-100">
              <input type="email" class="form-control" value="{{msg.email}}"  name="receiver-1" placeholder="name@example.com" />
            </div>
            <i onclick="addReceiver(this)" style=" padding: 10px; border: 1px solid black; border-radius: 5px; cursor: pointer; " class="fa-solid fa-plus" ></i>
          </div>
        </div>
        <input type="hidden" name="email-counter" id="email-counter" value="1" />

        <script>
          function addReceiver(i) {
            const divCounter = document.querySelector('#email-counter');
            let counter = parseInt(divCounter.value);
            counter++;
            divCounter.value = counter;
            const div = document.createElement('div');
            div.setAttribute('id', `email-row-${counter}`)
            div.classList.add('mb-3', 'd-flex', 'justify-content-center', 'align-items-center', 'gap-4');
            div.innerHTML = `
            <div class="inputs w-100">
              <input type="email" class="form-control" name="receiver-${counter}" placeholder=" name@example.com" />
            </div>
            <i onclick="removeReceiver(this)" data-counter=${counter} style=" padding: 10px; border: 1px solid black; border-radius: 5px; cursor: pointer; " class="fa-solid fa-minus" ></i>`;
            i.parentElement.parentElement.parentElement.appendChild(div);
          }

          function removeReceiver(i) {
            const divCounter = document.querySelector('#email-counter');
            let counter = parseInt(divCounter.value);
            if (counter > 1) {
              const div = document.querySelector(`#email-row-${i.dataset.counter}`);
              div.remove();
              counter--;
              divCounter.value = counter;
            }
          }
        </script>
      </div>
      <div class="mb-3">
        <label for="object" class="form-label">Objet</label>
        <input
          type="text"
          name="object"
          class="form-control"
          id="object"
          placeholder="....."
          value="Reprendre à {{msg.subject}}"
        />
      </div>
      <div class="mb-3">
        <label for="exampleFormControlTextarea1" class="form-label"
          >Corps du mail</label
        >
        <textarea
          name="content"
          class="form-control"
          id="exampleFormControlTextarea1"
          rows="15"
        ></textarea>
      </div>
      <div class="mb-3 d-flex justify-content-center align-content-center">
        <button type="submit" class="trigger">Envoyer</button>
      </div>
    </form>
  </div>

  <script src="{% static 'assets/js/script.js' %}"></script>
</div>
{% endblock main%}
